/*
 * Copyright © 2021-2022 Fachhochschule für die Wirtschaft (FHDW) Hannover
 *
 * This file is part of ipspiel22-demo.
 *
 * Ipspiel22-demo is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * Ipspiel22-demo is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * ipspiel22-demo. If not, see <http://www.gnu.org/licenses/>.
 */
module de.fhdw.gaming.ipspiel22.vierGewinnt {
    requires transitive de.fhdw.gaming.core;
    requires transitive de.fhdw.gaming.ipspiel22.searchtree;
    uses de.fhdw.gaming.ipspiel22.vierGewinnt.domain.factory.VGStrategyFactory;
    
	provides de.fhdw.gaming.ipspiel22.vierGewinnt.domain.factory.VGStrategyFactory
			with de.fhdw.gaming.ipspiel22.vierGewinnt.strategy.VGRandomMoveStrategyFactory,
			de.fhdw.gaming.ipspiel22.vierGewinnt.strategy.MinMaxVGStrategyFactory;
    provides de.fhdw.gaming.core.domain.GameBuilderFactory
            with de.fhdw.gaming.ipspiel22.vierGewinnt.domain.impl.VGGameBuilderFactoryImpl;
    
    opens de.fhdw.gaming.ipspiel22.vierGewinnt.domain;
    opens de.fhdw.gaming.ipspiel22.vierGewinnt.domain.impl;
    opens de.fhdw.gaming.ipspiel22.vierGewinnt.moves;
    opens de.fhdw.gaming.ipspiel22.vierGewinnt.moves.impl;
    opens de.fhdw.gaming.ipspiel22.vierGewinnt.strategy;
    opens de.fhdw.gaming.ipspiel22.vierGewinnt.domain.factory;
    
    exports de.fhdw.gaming.ipspiel22.vierGewinnt.domain;
    exports de.fhdw.gaming.ipspiel22.vierGewinnt.domain.factory;
    exports de.fhdw.gaming.ipspiel22.vierGewinnt.moves;
    exports de.fhdw.gaming.ipspiel22.vierGewinnt.moves.factory;
    exports de.fhdw.gaming.ipspiel22.vierGewinnt.moves.impl;
    
    exports de.fhdw.gaming.ipspiel22.vierGewinnt.domain.impl;
    exports de.fhdw.gaming.ipspiel22.vierGewinnt.strategy;
}

